use crate::prelude::*;
use teloxide::types::ParseMode;

#[inline]
pub async fn get(
    bot: Throttle<Bot>,
    q: CallbackQuery,
    db: Pool,
    hash: super::NameHash,
) -> crate::Result<()> {
    let user_id = q.from.id.0;
    let mut ids: MessageIds = q.message.as_ref().unwrap().into();

    let Some(name) = Account::get_name_by_hash(user_id, &hash, &db).await? else {
        bot.send_message(ids.0, "Account wasn't found")
            .reply_markup(deletion_markup())
            .await?;
        bot.answer_callback_query(q.id).await?;
        return Ok(());
    };

    let text = format!("Name:\n`{name}`\nLogin:\n\\*\\*\\*\nPassword:\n\\*\\*\\*");

    ids.alter_message(
        &bot,
        text,
        account_markup(&name, true),
        ParseMode::MarkdownV2,
    )
    .await?;
    bot.answer_callback_query(q.id).await?;

    Ok(())
}
