use crate::prelude::*;

#[inline]
pub async fn get_account(bot: Throttle<Bot>, msg: Message, db: Pool) -> crate::Result<()> {
    let user_id = msg.from().ok_or(NoUserInfo)?.id.0;

    let markup = menu_markup("decrypt", user_id, &db).await?;

    if markup.inline_keyboard.is_empty() {
        bot.send_message(msg.chat.id, "You don't have any accounts")
            .reply_markup(deletion_markup())
            .await?;
        return Ok(());
    }

    bot.send_message(msg.chat.id, "Choose the account to get")
        .reply_markup(markup)
        .await?;
    Ok(())
}
